---
id: leak-canary-plugin
title: LeakCanary Setup
sidebar_label: LeakCanary
---

Ensure that you already have an explicit dependency in your application's
`build.gradle`, e.g.

```groovy
dependencies {
  debugImplementation 'com.squareup.leakcanary:leakcanary-android:1.6.1'
  releaseImplementation 'com.squareup.leakcanary:leakcanary-android-no-op:1.6.1'
}
```

First, add the plugin to your Flipper client instance:
```java
import com.facebook.flipper.plugins.leakcanary.LeakCanaryFlipperPlugin;

client.addPlugin(new LeakCanaryFlipperPlugin());
```

Next, build a custom RefWatcher using RecordLeakService: (see [LeakCanary docs](https://github.com/square/leakcanary/wiki/Customizing-LeakCanary#uploading-to-a-server) for more information on RefWatcher)
```java
import com.facebook.flipper.plugins.leakcanary.RecordLeakService;

RefWatcher refWatcher = LeakCanary.refWatcher(this)
    .listenerServiceClass(RecordLeakService.class);
    .buildAndInstall();
```


Then, add the `RecordLeakService` in your debug variant AndroidManifest.xml.

```xml
<service android:name="com.facebook.flipper.plugins.leakcanary.RecordLeakService" />
```
